#######################################################################################
# Autogit Combell - Thème Constatimmo Uniquement                                      #
#######################################################################################
# Configuration optimisée : déploiement du thème uniquement                          #
# WordPress + plugins installés manuellement sur le serveur                          #
#######################################################################################

# Pas de dossiers partagés pour un thème
# shared_files: [ ]
# shared_folders: [ ]

# Hooks optimisés pour déploiement thème uniquement
# Arguments: $1 = branch, $2 = commit id, $3 = checkout folder
hooks:
# SETUP: Préparation déploiement thème
  setup_before: |
    echo "🎨 Préparation déploiement thème Constatimmo..."
    exit 0
  setup_after: |
    exit 0

# INSTALL: Installation du thème
  install_before: |
    echo "📁 Installation thème dans wp-content/themes/..."
    exit 0
  install_after: |
    echo "📦 Build des assets du thème..."
    # Se déplacer dans le thème déployé
    cd $3/wp-content/themes/constatimmo || exit 1
    
    # Build des assets si npm disponible
    if command -v npm &> /dev/null; then
        npm ci --production --silent && npm run build
        echo "✅ Assets buildés"
    else
        echo "⚠️  npm non trouvé, build manuel requis"
    fi
    exit 0

# SHAREDSYMLINK: Pas nécessaire pour thème
  sharedsymlink_before: |
    exit 0
  sharedsymlink_after: |
    exit 0

# SYMLINK: Activation du thème  
  symlink_before: |
    echo "🔗 Liaison du nouveau thème..."
    exit 0
  symlink_after: |
    echo "🎯 Activation du thème Constatimmo..."
    
    # Aller à la racine WordPress (parent de wp-content)
    cd "$3/../" || exit 1
    
    # Activer le thème si WP-CLI disponible
    if command -v wp &> /dev/null; then
        wp theme activate constatimmo --quiet 2>/dev/null || echo "Thème non activé auto"
        wp cache flush --quiet 2>/dev/null || echo "Cache non vidé"
        echo "✅ Thème activé et cache nettoyé"
    else
        echo "⚠️  WP-CLI non trouvé, activation manuelle requise"
    fi
    
    # Permissions du thème
    chmod -R 755 wp-content/themes/constatimmo/
    find wp-content/themes/constatimmo/ -type f -exec chmod 644 {} \; 2>/dev/null
    
    echo "🎉 Thème Constatimmo déployé avec succès!"
    exit 0

# CLEANUP: Nettoyage
  cleanup_before: |
    exit 0
  cleanup_after: |
    echo "🧹 Nettoyage terminé - Thème prêt!"
    exit 0
